part of gtag_interop.html;

/// A generic interface to a Global site tag (gtag.js) session.
abstract class Service {

  /// Creates a new service.
  Service(this.trackingId);

  /// The tracking/property identifier.
  final String trackingId;

  /// Initializes this service.
  void configure([Object parameters]) => gtag(Command.config, trackingId, parameters);

  /// Sends a custom event.
  /// This method is shared between all Gtag services: only one call must be made by the main service to notify all targets.
  void sendEvent(String name, [Object parameters]) => gtag(Command.event, name, parameters);

  /// Sets values that persist across all the subsequent calls on the page.
  /// This method is shared between all Gtag services: only one call must be made by the main service to notify all targets.
  void setParameters(Object parameters) => gtag(Command.set, parameters);
}
