part of gtag_interop.js;

/// Defines the global site tag events.
abstract class Event {

  /// A user adds billing information.
  static const String addPaymentInfo = 'add_payment_info';

  /// A user adds items to cart.
  static const String addToCart = 'add_to_cart';

  /// A user adds items to wishlist.
  static const String addToWishlist = 'add_to_wishlist';

  /// A user begins checkout.
  static const String beginCheckout = 'begin_checkout';

  /// A user completes a checkout step.
  static const String checkoutProgress = 'checkout_progress';

  /// An error occurs.
  static const String exception = 'exception';

  /// A user is transformed into a prospect.
  static const String generateLead = 'generate_lead';

  /// A user logs in to the site.
  static const String login = 'login';

  /// A user loads a web page.
  static const String pageView = 'page_view';

  /// A user completes a purchase.
  static const String purchase = 'purchase';

  /// A product is refunded.
  static const String refund = 'refund';

  /// A user removes items from cart.
  static const String removeFromCart = 'remove_from_cart';

  /// A user loads a new screen or new content.
  static const String screenView = 'screen_view';

  /// A user searches on the site.
  static const String search = 'search';

  /// A user clicks on a product or product link for one or more products.
  static const String selectContent = 'select_content';

  /// A user has selected an option value for a given checkout step.
  static const String setCheckoutOption = 'set_checkout_option';

  /// A user shares content.
  static const String share = 'share';

  /// A user signs up using a Google account, email address, or other method.
  static const String signUp = 'sign_up';

  /// A timed activity completes.
  static const String timingComplete = 'timing_complete';

  /// A user views product or item details.
  static const String viewItem = 'view_item';

  /// A user views a list of items / impressions.
  static const String viewItemList = 'view_item_list';

  /// A user clicks on an internal promotion.
  static const String viewPromotion = 'view_promotion';

  /// A user views search results.
  static const String viewSearchResults = 'view_search_results';
}
