part of gtag_interop.js;
// ignore_for_file: non_constant_identifier_names

/// The parameters of an action or an event.
@JS()
@anonymous
class Parameters {

  /// Creates a new parameters object.
  external factory Parameters({
    bool anonymize_ip,
    String app_id,
    String app_installer_id,
    String app_name,
    String app_version,
    String checkout_option,
    int checkout_step,
    String cookie_domain,
    int cookie_expires,
    String cookie_name,
    String description,
    Function event_callback,
    String event_category,
    String event_label,
    int event_timeout,
    bool fatal,
    groups,
    String name,
    String page_location,
    String page_path,
    String page_title,
    String screen_name,
    bool send_page_view,
    send_to,
    String user_id,
    int value
  });

  /// A value indicating whether to anonymize the IP addresses of hits sent.
  external bool get anonymize_ip;
  external set anonymize_ip(bool value);

  /// The identifier of the application.
  external String get app_id;
  external set app_id(String value);

  /// The identifier of the application installer.
  external String get app_installer_id;
  external set app_installer_id(String value);

  /// The name of the application.
  external String get app_name;
  external set app_name(String value);

  /// The application version.
  external String get app_version;
  external set app_version(String value);

  /// Used for ecommerce events. Example: `"Visa"`.
  external String get checkout_option;
  external set checkout_option(String value);

  /// Used for ecommerce events. Example: `2`.
  external int get checkout_step;
  external set checkout_step(int value);

  /// The domain that the cookie is available to.
  external String get cookie_domain;
  external set cookie_domain(String value);

  /// The delay, in seconds, before the cookie expires.
  external int get cookie_expires;
  external set cookie_expires(int value);

  /// The name of the cookie.
  external String get cookie_name;
  external set cookie_name(String value);

  /// A description of the error.
  external String get description;
  external set description(String value);

  /// The callback function called when processing of an event command has completed.
  external Function get event_callback;
  external set event_callback(Function value);

  /// A string for categorizing all user timing variables into logical groups (e.g. `"JS Dependencies"`).
  external String get event_category;
  external set event_category(String value);

  /// A string that can be used to add flexibility in visualizing user timings in the reports (e.g. `"Google CDN"`).
  external String get event_label;
  external set event_label(String value);

  /// A value indicating whether the error was fatal.
  external bool get fatal;
  external set fatal(bool value);

  /// The timeout used for [event_callback], in milliseconds.
  external int get event_timeout;
  external set event_timeout(int value);

  /// A string, or a string list, used by the [Command.config] command to assign a target to one or more groups.
  external dynamic get groups;
  external set groups(Object value);

  /// A string to identify the variable being recorded (e.g. `"load"`).
  external String get name;
  external set name(String value);

  /// The page's URL.
  external String get page_location;
  external set page_location(String value);

  /// The path portion of [page_location]. This value must start with a slash (`/`) character.
  external String get page_path;
  external set page_path(String value);

  /// The page's title.
  external String get page_title;
  external set page_title(String value);

  /// The name of the screen.
  external String get screen_name;
  external set screen_name(String value);

  /// Value indicating whether to send an initial [Event.pageView] event.
  external bool get send_page_view;
  external set send_page_view(bool value);

  /// A string, or a string list, setting the target account/property that is to receive the event data.
  external dynamic get send_to;
  external set send_to(Object value);

  /// The identifier representing a user.
  external String get user_id;
  external set user_id(String value);

  /// The number of milliseconds in elapsed time to report to Google Analytics (e.g. `20`).
  external int get value;
  external set value(int value);
}
